ENT.Type = "anim"
ENT.Base = "base_follower"
ENT.RenderGroup = RENDERGROUP_TRANSLUCENT
--//ENT.AutomaticFrameAdvance = true;

function ENT:Initialize()
	
	self.ModelString = 'models/cheeseman/breadscale01.mdl'
	self.ModelScale = 1.5
	self.Particles = "antlion_drip"

	self.BaseClass.Initialize( self )
	
end

function ENT:Fo_UpdatePet( speed, weight )
	self:SetAngles( self:GetAngles() + Angle( math.sin( CurTime() * fo.WobbleSpeed ) * -8, 0, 0 ) )
end